--- title: "License summary details for a feature: Request" slug: "license-summary-details-for-a-feature-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/license-summary-details-for-a-feature-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # License summary details for a feature: Request To get summary details of a specified feature license, send the following request: ``` GET https://:/config/v1/licenses/_summary/ ``` Required header: ``` Cookie: px= ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Parameter `feature`—The product feature. ### Example ``` GET https://xxx.xxx.xxx.xxx:443/config/v1/licenses/_summary/FIREEYE_APPLIANCE ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### License summary details for a feature: Response ``` HTTP/1.1 [Response Code] [Response Message] Server: [Server] Date: [Date] Content-Type: [Content Type] ``` ###### Response fields - Response Code—A standard HTTP response code. - 200—Request successful; the configuration was successful. - Response Message—A standard HTTP response message. - OK—Request successful; the configuration was successful. - Date—Standard HTML date format. - Content Type—The response format. ###### Example ``` HTTP/1.1 200 OK Date: Thu, 15 Aug 2019 17:32:11 GMT Content-Type: application/json; charset=utf-8 {  "key": "LK2-FIREEYE_APPLIANCE-413H-K76A-6J69-8TU4-3A46-4MM4-DBAQ-5H40-L2Q5-J718-54KT-45K7-12MA-K216-2F0V-K0CH-H64U-KAC1-G63H-F1U6-JTK1-F5GJ-VV3F-DHLN-4UUR-D5P6-2G36-D5R6-ARBR-CLP6-6UUD-6414-87GL-121K-8PD9-VVCT-QGAV-EMLP",  "feature": "FIREEYE_APPLIANCE",  "start_date": "2019/05/07",  "end_date": "2021/05/06",  "valid": true } ``` ### cURL code sample: License summary details for a feature ``` curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/config/v1/licenses/_summary/FIREEYE_APPLIANCE ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `https://xxx.xxx.xxx.xxx:443/config/v1/licenses/_summary/FIREEYE_APPLIANCE`—The license request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance, and `FIREEYE_APPLIANCE` with the name of your feature. ###### Results This example retrieves the license summary for the specified feature.